Subject: [bug#50326] [PATCH cuirass] Add systemd unit file for remote worker service.

From: Thiago Jung Bauermann <[email-masked]>
Date: Wed, 08 Sep 2021 11:24:58 -0300

Hello Ludo!

Em quarta-feira, 8 de setembro de 2021, às 11:01:06 -03, Ludovic Courtès 
escreveu:
> Hello!
> 
> Thiago Jung Bauermann <[email-masked]> skribis:
> > * etc/cuirass-remote-worker.service.in: New file.
> > * doc/cuirass.texi: Mention it.
> > * .gitignore: Ignore it.
> > * Makefile.am (noinst_SCRIPTS): Add
> > ‘etc/cuirass-remote-worker.service’.
> > (EXTRA_DIST): Likewise.
> > (etc/cuirass-remote-worker.service): New target.
> > * configure.ac: Check for ‘(guix config)’ module.
> > Set ‘guix_localstatedir’ variable.
> > ---
> > 
> > Hello,
> > 
> > This patch adds the systemd unit file I installed on guixp9. The
> > configure script finds out Guix’s localstatedir and substitutes it in
> > etc/cuirass-remote-worker.service.in. The service file isn’t installed
> > anywhere and the user is supposed to get it from the build directory if
> > they want to use it.
> > 
> > I did it this way because there’s no $PREFIX/doc/examples directory
> > or equivalent where it could be shipped, and I thought that it would
> > be excessive to add it to all Cuirass installations considering that
> > only a few of them would actually have a use for it. But I can send a
> > v2 making this change if people think it would be better.
> 
> With this approach, the user has to get the source and configure it,
> which is somewhat annoying.

Yes, that is true.

> I’d prefer installing it to $sysconfdir, similar to how we do it in
> Guix.  That makes it easier for interested users to locate the right
> .service and to install it, right after they’ve done ‘guix install
> cuirass’.
> 
> WDYT?

I think it’s a good idea.

> If that’s fine with you, I’ll happily push v2 on your behalf!

Of course! Feel free to do that. Thank you for the offer, and for reviewing 
this patch!

-- 
Thanks,
Thiago